Page MenuHomePhabricator

VisualEditor: Pasting a syntaxhighlight block from another VE surface don't load syntaxhighlight's styling
Closed, ResolvedPublic1 Story Points

Description

After pasting a block of <syntaxhighlight> in to a target surface, I had to save and then reload the page before the syntax highlighting styling was applied.

https://www.mediawiki.org/w/index.php?title=User:TheDJ/sandbox&oldid=841358


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=67515

Details

Reference
bz58388

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz58388.
TheDJ created this task.Dec 12 2013, 10:25 AM

With the dependency fixed, this just needs VisualEditor loading the appropriate modules defined by SyntaxHighlight (one for each language) at appropriate times.

Change 214078 had a related patch set uploaded (by Jforrester):
Add VE support for syntax highlighting

https://gerrit.wikimedia.org/r/214078

Change 214078 merged by jenkins-bot:
Add VisualEditor support

https://gerrit.wikimedia.org/r/214078

Change 311839 had a related patch set uploaded (by Alex Monk):
VE: Ensure ext.pygments module gets loaded when a user adds a syntax highlight node

https://gerrit.wikimedia.org/r/311839

Jdforrester-WMF closed this task as Resolved.Sep 20 2016, 10:45 PM
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.

Change 311839 merged by jenkins-bot:
VE: Ensure ext.pygments module gets loaded when a user adds a syntax highlight node

https://gerrit.wikimedia.org/r/311839

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 27 2017, 2:02 PM